diff --git a/doc/src/sgml/plpgsql.sgml b/doc/src/sgml/plpgsql.sgml
index 2987a555a3..8c9bd28aa9 100644
--- a/doc/src/sgml/plpgsql.sgml
+++ b/doc/src/sgml/plpgsql.sgml
@@ -5782,6 +5782,19 @@ $$ LANGUAGE plpgsql STRICT IMMUTABLE;
 </programlisting>
     </para>
    </sect3>
+
+   <sect3>
+    <title><command>Global variables and constants</command></title>
+
+    <para>
+     The <application>PL/pgSQL</application> language has not packages
+     and then it has not package variables and package constants. The
+     <productname>PostgreSQL</productname> has schema variables and
+     immutable schema variables. The schema variables can be created
+     by <command>CREATE VARIABLE</command> described in <xref
+     linkend="sql-createvariable"/>.
+    </para>
+   </sect3>
   </sect2>
 
   <sect2 id="plpgsql-porting-appendix">
diff --git a/doc/src/sgml/ref/create_variable.sgml b/doc/src/sgml/ref/create_variable.sgml
index 35a14c7c3c..1b1883a11a 100644
--- a/doc/src/sgml/ref/create_variable.sgml
+++ b/doc/src/sgml/ref/create_variable.sgml
@@ -58,7 +58,7 @@ CREATE [ { TEMPORARY | TEMP } ] [ IMMUTABLE ] VARIABLE [ IF NOT EXISTS ] <replac
     <term><literal>IMMUTABLE</literal></term>
     <listitem>
      <para>
-      The value of variable cannot be changed.
+      The value of the variable cannot be changed.
      </para>
     </listitem>
    </varlistentry>
@@ -128,13 +128,12 @@ CREATE [ { TEMPORARY | TEMP } ] [ IMMUTABLE ] VARIABLE [ IF NOT EXISTS ] <replac
     <term><literal>ON COMMIT DROP</literal>, <literal>ON TRANSACTIONAL END RESET</literal></term>
     <listitem>
      <para>
-      The <literal>ON COMMIT DROP</literal> clause specifies the bahaviour of
-      temporary schema variable at transaction commit. With this clause the
+      The <literal>ON COMMIT DROP</literal> clause specifies the behaviour
+      of temporary schema variable at transaction commit. With this clause the
       variable is dropped at commit time. The clause is only allowed
-      for temporary variables.
-      The <literal>ON TRANSACTIONAL END RESET</literal> clause enforces the
-      variable to be reset to its default value when the transaction is either
-      commited or rolled back.
+      for temporary variables. The <literal>ON TRANSACTIONAL END RESET</literal>
+      clause enforces the variable to be reset to its default value when
+      the transaction is either commited or rolled back.
      </para>
     </listitem>
    </varlistentry>
